---
title: number.lib.sh
version: 2.6.1
copyright: 2014-2019, Koalephant Co., Ltd
author: Stephen Reay <stephen@koalephant.com>, Koalephant Packaging Team <packages@koalephant.com>
description: String functionality (Koalephant Shell Script Library)
---

### `k_int_parse`
Parse a string into an integer
Accepts decimal or hex values, any precision (right of the decimal point) is lost

#### Input:
 * `$1` - the string to parse
 * `$2` - the default value to return if the string is not an integer

#### Output:
an integer or the default value if specified

#### Return:
0 if either the first or second argument can be parsed to int, 1 if not

### `k_int_parse_error`
Parse a string into an integer or error
Accepts decimal or hex values, any precision (right of the decimal point) is lost

#### Input:
 * `$1` - the string to parse

#### Output:
an integer

#### Return:
0 if the string can be parsed to an integer 1 if not

